Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.javafile.metadata
Class AnnotationMetadata

    java.lang.Object
      org.modeshape.sequencer.javafile.metadata.AnnotationMetadata

    public class AnnotationMetadata

extends Object

Abstract class for annotations.

Author:
  Horia Chiorean

Nested Class Summary
`static class` | `AnnotationMetadata.Type`

Method Summary
`Map<String,String>` | `getMemberValues()`
`String` | `getName()`
`AnnotationMetadata.Type` | `getType()`
`static AnnotationMetadata` | `markerAnnotation(String annotationClassName)`
`static AnnotationMetadata` | `normalAnnotation(String annotationClassName, Map<String,String> memberValues)`
`static AnnotationMetadata` | `singleMemberAnnotation(String annotationClassName, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

### getMemberValues

    public Map<String,String> getMemberValues()

### getType

    public AnnotationMetadata.Type getType()

### markerAnnotation

    public static AnnotationMetadata markerAnnotation(String annotationClassName)

### normalAnnotation

    public static AnnotationMetadata normalAnnotation(String annotationClassName,
                                                      Map<String,String> memberValues)

### singleMemberAnnotation

    public static AnnotationMetadata singleMemberAnnotation(String annotationClassName,
                                                            String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.